Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 29 Nov 2022 13:49:51 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I want to say that the driver who delivered my package today was rude enough to hang the phone without notice a number of times! I already put down my address. It he still called SO many times and disturbing me at work when he couldn’t even look for the house or the apartment. I’m very disappointed at the delivery service. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5374926